MITK has migrated from Bugzilla to Phabricator. Please head to our new bug tracking system.
Bug 15849 - Make MITK compatible with VTK 6.0
Make MITK compatible with VTK 6.0
Status: RESOLVED FIXED
Product: MITK
Classification: Unclassified
Component: Core
2013-03
All All
: low feature request
: Unspecified
Assigned To: Christoph Kolb
:
Depends on:
Blocks: 16399 16607
  Show dependency treegraph
 
Reported: 2013-08-13 18:16 CEST by Christoph Kolb
Modified: 2014-01-15 13:41 CET (History)
4 users (show)

CAPA Problembeschreibung:
CAPA Bewertung:
CAPA Ursachenanalyse:
CAPA Lösungsansatz:
CAPA Ergebnis Problembehebung:
CAPA Prüfung:
Story:
Feature-/Umsetzungstickets:
Likelihood: ---
m.nolden: Needs_Core_Modification+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Kolb 2013-08-13 18:16:34 CEST

    
Comment 2 Christoph Kolb 2013-08-13 18:34:07 CEST
New remote branch pushed: bug-15849-VTK6MigrationMitkCore
Comment 3 Christoph Kolb 2013-10-30 19:52:51 CET
New remote branch pushed: bug-15849-VTK6Migration
Comment 4 Christoph Kolb 2013-10-30 20:02:56 CET
in branch bug-15849-VTK6Migration i started with the migration by applying all of the trivial changes in mitkCore. A "VTK6_TODO" comment is added to all the classes where the functionality is no longer ensured.
Comment 5 Christoph Kolb 2013-10-31 16:11:55 CET
workbench compiles and starts, but none of the mappers work
Comment 6 Christoph Kolb 2013-11-20 15:48:49 CET
New remote branch pushed: bug-15849-VTK6Migration_IntegrationNov13
Comment 7 Caspar Jonas Goch 2013-12-04 15:56:59 CET
New remote branch pushed: bug-15849-VTK6Migration_IntegrationDec04
Comment 8 Marco Nolden 2013-12-06 17:00:33 CET
I looked at the branch, looks good to me. I also renamed the VTK6 Wiki page to make it public.
Comment 9 Christoph Kolb 2013-12-06 17:25:27 CET
[714150]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-06 16:59:15 Andreas Fetzer [c3c1a0]
Removed vtk 5.10 patch which is no longer neccessary for vtk 6.x

------------------------------------------------------------------
2013-12-05 14:27:10 Christoph Kolb [276736]
migration fixes

------------------------------------------------------------------
2013-12-04 15:57:33 Christoph Kolb [bdde0b]
Merge branch 'bug-15849-VTK6Migration_IntegrationNov13' into bug-15849-VTK6Migration_IntegrationDec04

Conflicts:
	CMakeExternals/VTK.cmake
	Plugins/org.mitk.gui.qt.measurementtoolbox/src/internal/QmitkImageStatisticsView.cpp
	Plugins/org.mitk.gui.qt.measurementtoolbox/src/internal/QmitkImageStatisticsViewControls.ui

------------------------------------------------------------------
2013-12-04 15:05:20 Christoph Kolb [624016]
VTK url

------------------------------------------------------------------
2013-12-04 14:57:22 Christoph Kolb [525c4e]
ACVD VTK6 migration

------------------------------------------------------------------
2013-11-27 15:50:44 Christoph Kolb [e0d3ba]
migrate plugins

------------------------------------------------------------------
2013-11-27 15:09:13 Christoph Kolb [03ec14]
repaired several pipeline connections

------------------------------------------------------------------
2013-11-20 17:26:17 Christoph Kolb [719115]
fix output information of mitkLevelWindowFilter

------------------------------------------------------------------
2013-11-20 15:49:25 Christoph Kolb [f6bbfd]
fixed pipeline update

------------------------------------------------------------------
2013-11-20 15:48:42 Christoph Kolb [b257fb]
Merge branch 'bug-15849-VTK6Migration' into bug-15849-VTK6Migration_IntegrationNov13

Conflicts:
	Core/Code/DataManagement/mitkVector.cpp
	Modules/IGT/IGTFilters/mitkTrackingVolumeGenerator.cpp
	Modules/Qmitk/CMakeLists.txt

------------------------------------------------------------------
2013-11-13 15:41:42 Christoph Kolb [50ee5c]
fix typo

------------------------------------------------------------------
2013-11-13 15:39:40 Christoph Kolb [cf19b2]
fix VTK6_TODO regarding update

------------------------------------------------------------------
2013-11-13 15:21:10 Christoph Kolb [06d834]
enable instantiators which are needed for GLSL support

------------------------------------------------------------------
2013-11-13 13:37:06 Christoph Kolb [522b27]
trivial Pipeline changes

------------------------------------------------------------------
2013-10-31 15:48:02 Christoph Kolb [750084]
disable widgets which depend on QCharts

------------------------------------------------------------------
2013-10-31 15:45:38 Christoph Kolb [68ffdd]
versionMacro

------------------------------------------------------------------
2013-10-31 15:45:20 Christoph Kolb [63609e]
add QWebkit Dependencies for vtk. possibly not nescessary

------------------------------------------------------------------
2013-10-30 19:56:19 Christoph Kolb [7c30d7]
vtkVersionMacros have to be included to enable VTK_MAJOR_VERSION

------------------------------------------------------------------
2013-10-30 19:55:46 Christoph Kolb [355f41]
added VTK6_TODO: unclear function

------------------------------------------------------------------
2013-10-30 19:55:16 Christoph Kolb [af4650]
vtk5/6 Pipeline changes with VTK6_TODO

------------------------------------------------------------------
2013-10-30 19:54:48 Christoph Kolb [e94bc5]
vtkVersionMacros.h has to be included to provide version defines

------------------------------------------------------------------
2013-10-30 19:54:16 Christoph Kolb [e991f8]
vtkVolumeRenderingFactory does not exist in vtk6

------------------------------------------------------------------
2013-10-30 19:53:26 Christoph Kolb [d684af]
renamed execute functions to RequestData

------------------------------------------------------------------
2013-10-30 19:52:44 Christoph Kolb [5e810d]
Build system changes to use QVTK in vtk6

------------------------------------------------------------------
2013-10-30 19:06:31 Christoph Kolb [2dadb6]
VTK5/6 Pipeline changes. lookout for VTK6_TODO

------------------------------------------------------------------
2013-10-30 16:16:58 Christoph Kolb [07ba44]
Add TestingRendering and GUI Support to VTK

------------------------------------------------------------------
2013-10-30 15:55:23 Christoph Kolb [780cdf]
Vtk5/6 Pipeline changes

------------------------------------------------------------------
2013-10-30 15:52:06 Christoph Kolb [9db2fb]
VTK5/6 Pipeline changes

------------------------------------------------------------------
2013-10-30 15:51:39 Christoph Kolb [e35715]
migrated to renamed vtkLibraries. there are probably too much added now

------------------------------------------------------------------
2013-10-30 14:49:00 Christoph Kolb [4a50e2]
VTK5/6 Pipline changes. lookout for VTK6_TODO

------------------------------------------------------------------
2013-10-30 14:35:13 Christoph Kolb [457c7c]
VTK6_TODO : vtkMitkLevelWindowFilter should be fixed and tested

------------------------------------------------------------------
2013-10-30 14:28:11 Christoph Kolb [cf88ea]
VTK5/6 Pipeline changes

------------------------------------------------------------------
2013-10-30 14:26:22 Christoph Kolb [fcdf76]
Rename and delete deprecated VTK Macros

------------------------------------------------------------------
2013-10-30 14:22:17 Christoph Kolb [5d3088]
VTK_LARGE_FLOAT -> VTK_LARGE_MAX

------------------------------------------------------------------
2013-10-30 14:21:14 Christoph Kolb [053299]
Change AllocateScalars method in mitkImageDataItem

------------------------------------------------------------------
2013-10-30 14:20:44 Christoph Kolb [f940be]
unfinished VTK 5/6 Pipeline changes. Lookout for VTK6_TODO !

------------------------------------------------------------------
2013-10-30 14:08:22 Christoph Kolb [9c3efd]
Unfinished VTK5/6 Pipeline changes. lookout for "VTK6_TODO"

------------------------------------------------------------------
2013-10-30 13:58:35 Christoph Kolb [65122f]
Replace deprecated vtkFloatingPointType with double
Comment 10 Christoph Kolb 2013-12-06 18:05:11 CET
[f99390]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-06 18:04:27 Christoph Kolb [f47f8a]
COMP: change ACDV cmake version to 2.8.5
Comment 11 Sascha Zelzer 2013-12-09 19:37:58 CET
[15ffd8]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-09 19:37:33 Sascha Zelzer [72dedc]
COMP: Fix static initialization order problem with VTK6.
Comment 12 Sascha Zelzer 2013-12-09 20:15:44 CET
[a58094]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-09 20:15:19 Sascha Zelzer [daccef]
COMP: Always add resources, even if NO_INIT is given.
Comment 13 Sascha Zelzer 2013-12-10 00:58:58 CET
[808201]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-10 00:58:11 Sascha Zelzer [d83ba2]
COMP: Temporarily disabled four rendering tests

- mitkImageVtkMapper2D_binaryTestImage640x480
- mitkImageVtkMapper2D_binaryTestImageWithRef640x480
- mitkImageVtkMapper2D_pic3dOpacity640x480
- mitkTextOverlay2DLayouterRenderingTest_ball

------------------------------------------------------------------
2013-12-10 00:57:05 Sascha Zelzer [ea4703]
COMP: Avoid premature deletion of the vtkMarchingCubes instance.

------------------------------------------------------------------
2013-12-10 00:56:28 Sascha Zelzer [69acc0]
COMP: Use a pipeline connection for the stencil.
Comment 14 Sascha Zelzer 2013-12-10 01:12:36 CET
[cc7d4d]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-10 01:11:07 Sascha Zelzer [86997f]
COMP: prevent commented test from being used for setting properties.
Comment 15 Christoph Kolb 2013-12-11 12:21:29 CET
[b21f08]: Merge branch 'bug-15849-VTK6Migration_IntegrationDec04'
Merged commits:
------------------------------------------------------------------
2013-12-11 12:15:07 Christoph Kolb [f661bd]
remove unnecessary update calls